const fetchStoryHtml = async (url, path, params, context) => {
  // @todo multilingual support
  // Remove trailing slash.
  url = url.replace(/\/$/, "");
  const fetchUrl = new URL(`${url}/_storybook_server`);
  params._storybook = path;
  fetchUrl.search = new URLSearchParams({ ...params }).toString();

  const response = await fetch(fetchUrl, {
    credentials: "include",
  });
  return response.text();
};

module.exports = fetchStoryHtml;
